diff --git a/src/providers/ldap/sdap_async_sudo_hostinfo.c b/src/providers/ldap/sdap_async_sudo_hostinfo.c
index f0c7281..fce4111 100644
--- a/src/providers/ldap/sdap_async_sudo_hostinfo.c
+++ b/src/providers/ldap/sdap_async_sudo_hostinfo.c
@@ -77,7 +77,7 @@ struct tevent_req * sdap_sudo_get_hostinfo_send(TALLOC_CTX *mem_ctx,
     req = tevent_req_create(mem_ctx, &state,
                             struct sdap_sudo_get_hostinfo_state);
     if (req == NULL) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("tevent_req_create() failed\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "tevent_req_create() failed\n");
         return NULL;
     }
 
@@ -93,11 +93,11 @@ struct tevent_req * sdap_sudo_get_hostinfo_send(TALLOC_CTX *mem_ctx,
                                  &state->hostnames, NULL);
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Unable to parse hostnames [%d]: %s\n", ret, strerror(ret)));
+                  "Unable to parse hostnames [%d]: %s\n", ret, strerror(ret));
             goto done;
         } else {
             DEBUG(SSSDBG_CONF_SETTINGS,
-                  ("Hostnames set to: %s\n", conf_hostnames));
+                  "Hostnames set to: %s\n", conf_hostnames);
         }
     }
 
@@ -106,12 +106,12 @@ struct tevent_req * sdap_sudo_get_hostinfo_send(TALLOC_CTX *mem_ctx,
                                  &state->ip_addr, NULL);
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Unable to parse IP addresses [%d]: %s\n",
-                   ret, strerror(ret)));
+                  "Unable to parse IP addresses [%d]: %s\n",
+                   ret, strerror(ret));
             goto done;
         } else {
-            DEBUG(SSSDBG_CONF_SETTINGS, ("IP addresses set to: %s\n",
-                  conf_ip_addr));
+            DEBUG(SSSDBG_CONF_SETTINGS, "IP addresses set to: %s\n",
+                  conf_ip_addr);
         }
     }
 
@@ -120,8 +120,8 @@ struct tevent_req * sdap_sudo_get_hostinfo_send(TALLOC_CTX *mem_ctx,
         ret = sdap_sudo_get_ip_addresses(state, &state->ip_addr);
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("Unable to detect IP addresses [%d]: %s\n",
-                   ret, strerror(ret)));
+                  "Unable to detect IP addresses [%d]: %s\n",
+                   ret, strerror(ret));
         }
     }
 
@@ -162,8 +162,8 @@ static void sdap_sudo_get_hostinfo_done(struct tevent_req *subreq)
     ret = sdap_sudo_get_hostnames_recv(state, subreq, &state->hostnames);
     talloc_zfree(subreq);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Unable to retrieve hostnames [%d]: %s\n",
-                                    ret, strerror(ret)));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Unable to retrieve hostnames [%d]: %s\n",
+                                    ret, strerror(ret));
         tevent_req_error(req, ret);
         return;
     }
@@ -210,7 +210,7 @@ static int sdap_sudo_get_ip_addresses(TALLOC_CTX *mem_ctx,
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_new() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_new() failed\n");
         return ENOMEM;
     }
 
@@ -218,8 +218,8 @@ static int sdap_sudo_get_ip_addresses(TALLOC_CTX *mem_ctx,
     ret = getifaddrs(&ifaces);
     if (ret == -1) {
         ret = errno;
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Could not read interfaces [%d][%s]\n",
-                                    ret, strerror(ret)));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Could not read interfaces [%d][%s]\n",
+                                    ret, strerror(ret));
         goto done;
     }
 
@@ -305,8 +305,8 @@ static int sdap_sudo_get_ip_addresses(TALLOC_CTX *mem_ctx,
         if (inet_ntop(iface->ifa_addr->sa_family, sinx_addr,
                       ip_addr, INET6_ADDRSTRLEN) == NULL) {
             ret = errno;
-            DEBUG(SSSDBG_MINOR_FAILURE, ("inet_ntop() failed [%d]: %s\n",
-                                         ret, strerror(ret)));
+            DEBUG(SSSDBG_MINOR_FAILURE, "inet_ntop() failed [%d]: %s\n",
+                                         ret, strerror(ret));
             goto done;
         }
 
@@ -315,8 +315,8 @@ static int sdap_sudo_get_ip_addresses(TALLOC_CTX *mem_ctx,
         if (inet_ntop(iface->ifa_addr->sa_family, sinx_network,
                       network_addr, INET6_ADDRSTRLEN) == NULL) {
             ret = errno;
-            DEBUG(SSSDBG_MINOR_FAILURE, ("inet_ntop() failed [%d]: %s\n",
-                                         ret, strerror(ret)));
+            DEBUG(SSSDBG_MINOR_FAILURE, "inet_ntop() failed [%d]: %s\n",
+                                         ret, strerror(ret));
             goto done;
         }
 
@@ -342,8 +342,8 @@ static int sdap_sudo_get_ip_addresses(TALLOC_CTX *mem_ctx,
         }
 
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("Found IP address: %s in network %s/%d\n",
-               ip_addr, network_addr, netmask));
+              "Found IP address: %s in network %s/%d\n",
+               ip_addr, network_addr, netmask);
     }
 
     if (ip_addr_list) {
@@ -386,7 +386,7 @@ static struct tevent_req *sdap_sudo_get_hostnames_send(TALLOC_CTX *mem_ctx,
     /* hostname, fqdn and NULL */
     state->hostnames = talloc_zero_array(state, char*, 3);
     if (state->hostnames == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_zero_array() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_zero_array() failed\n");
         ret = ENOMEM;
         goto done;
     }
@@ -397,15 +397,15 @@ static struct tevent_req *sdap_sudo_get_hostnames_send(TALLOC_CTX *mem_ctx,
     ret = gethostname(hostname, HOST_NAME_MAX);
     if (ret != EOK) {
         ret = errno;
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Unable to retrieve machine hostname "
-                                    "[%d]: %s\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Unable to retrieve machine hostname "
+                                    "[%d]: %s\n", ret, strerror(ret));
         goto done;
     }
     hostname[HOST_NAME_MAX] = '\0';
 
     state->hostnames[0] = talloc_strdup(state->hostnames, hostname);
     if (state->hostnames[0] == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_strdup() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_strdup() failed\n");
         ret = ENOMEM;
         goto done;
     }
@@ -413,14 +413,14 @@ static struct tevent_req *sdap_sudo_get_hostnames_send(TALLOC_CTX *mem_ctx,
     dot = strchr(hostname, '.');
     if (dot != NULL) {
         /* already a fqdn, determine hostname and finish */
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("Found fqdn: %s\n", hostname));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "Found fqdn: %s\n", hostname);
 
         *dot = '\0';
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("Found hostname: %s\n", hostname));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "Found hostname: %s\n", hostname);
 
         state->hostnames[1] = talloc_strdup(state->hostnames, hostname);
         if (state->hostnames[1] == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_strdup() failed\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "talloc_strdup() failed\n");
             ret = ENOMEM;
             goto done;
         }
@@ -428,7 +428,7 @@ static struct tevent_req *sdap_sudo_get_hostnames_send(TALLOC_CTX *mem_ctx,
         ret = EOK;
         goto done;
     } else {
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("Found hostname: %s\n", hostname));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "Found hostname: %s\n", hostname);
     }
 
     state->resolv_ctx = be_ctx->be_res->resolv;
@@ -476,30 +476,30 @@ static void sdap_sudo_get_hostnames_done(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret == ENOENT) {
         /* Empty result, just quit */
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("No hostent found\n"));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "No hostent found\n");
         goto done;
     } else if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Could not resolve fqdn for this machine, error [%d]: %s, "
+              "Could not resolve fqdn for this machine, error [%d]: %s, "
                "resolver returned: [%d]: %s\n", ret, strerror(ret),
-               resolv_status, resolv_strerror(resolv_status)));
+               resolv_status, resolv_strerror(resolv_status));
         tevent_req_error(req, ret);
         return;
     }
 
     /* EOK */
 
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("Found fqdn: %s\n", rhostent->name));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "Found fqdn: %s\n", rhostent->name);
 
     if (state->hostnames == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("state->hostnames is NULL\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "state->hostnames is NULL\n");
         ret = EINVAL;
         goto done;
     }
 
     state->hostnames[1] = talloc_strdup(state->hostnames, rhostent->name);
     if (state->hostnames[1] == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_strdup() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_strdup() failed\n");
         ret = ENOMEM;
         goto done;
     }
diff --git a/src/providers/ldap/sdap_async_sudo_timer.c b/src/providers/ldap/sdap_async_sudo_timer.c
index 27dd41f..0353419 100644
--- a/src/providers/ldap/sdap_async_sudo_timer.c
+++ b/src/providers/ldap/sdap_async_sudo_timer.c
@@ -63,7 +63,7 @@ struct tevent_req * sdap_sudo_timer_send(TALLOC_CTX *mem_ctx,
     /* create request */
     req = tevent_req_create(mem_ctx, &state, struct sdap_sudo_timer_state);
     if (req == NULL) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("tevent_req_create() failed\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "tevent_req_create() failed\n");
         return NULL;
     }
 
@@ -75,7 +75,7 @@ struct tevent_req * sdap_sudo_timer_send(TALLOC_CTX *mem_ctx,
     /* set timer */
     timer = tevent_add_timer(ev, req, when, sdap_sudo_timer, req);
     if (timer == NULL) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("tevent_add_timer() failed\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "tevent_add_timer() failed\n");
         ret = ENOMEM;
         goto immediately;
     }
@@ -120,7 +120,7 @@ static void sdap_sudo_timer(struct tevent_context *ev,
     /* issue request */
     state->subreq = state->fn(state, state->sudo_ctx);
     if (state->subreq == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Unable to issue timed request!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Unable to issue timed request!\n");
         tevent_req_error(req, ENOMEM);
         return;
     }
@@ -137,8 +137,8 @@ static void sdap_sudo_timer(struct tevent_context *ev,
          * the possibility of starting another
          * concurrently
          */
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to set timeout, "
-                                    "canceling request!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to set timeout, "
+                                    "canceling request!\n");
         talloc_zfree(state->subreq);
         tevent_req_error(req, ENOMEM);
     }
@@ -169,8 +169,8 @@ static void sdap_sudo_timer_timeout(struct tevent_context *ev,
     req = talloc_get_type(pvt, struct tevent_req);
     state = tevent_req_data(req, struct sdap_sudo_timer_state);
 
-    DEBUG(SSSDBG_CRIT_FAILURE, ("Request timed out. Is timeout too small?"
-                                " (%lds)!\n", state->timeout));
+    DEBUG(SSSDBG_CRIT_FAILURE, "Request timed out. Is timeout too small?"
+                                " (%lds)!\n", state->timeout);
 
     talloc_zfree(state->subreq);
 
diff --git a/src/providers/ldap/sdap_async_users.c b/src/providers/ldap/sdap_async_users.c
index 860e8fe..ed09280 100644
--- a/src/providers/ldap/sdap_async_users.c
+++ b/src/providers/ldap/sdap_async_users.c
@@ -53,7 +53,7 @@ sdap_get_idmap_primary_gid(struct sdap_options *opts,
                 opts->user_map[SDAP_AT_USER_PRIMARY_GROUP].sys_name,
                 &primary_gid);
     if (ret != EOK) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("no primary group ID provided\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "no primary group ID provided\n");
         ret = EINVAL;
         goto done;
     }
@@ -69,7 +69,7 @@ sdap_get_idmap_primary_gid(struct sdap_options *opts,
                                                  &dom_sid_str);
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Could not parse domain SID from [%s]\n", sid_str));
+                  "Could not parse domain SID from [%s]\n", sid_str);
             goto done;
         }
     }
@@ -125,7 +125,7 @@ int sdap_save_user(TALLOC_CTX *memctx,
     char *sid_str;
     char *dom_sid_str = NULL;
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Save user\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "Save user\n");
 
     tmpctx = talloc_new(NULL);
     if (!tmpctx) {
@@ -141,10 +141,10 @@ int sdap_save_user(TALLOC_CTX *memctx,
 
     ret = sdap_get_user_primary_name(memctx, opts, attrs, dom, &user_name);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Failed to get user name\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Failed to get user name\n");
         goto done;
     }
-    DEBUG(SSSDBG_TRACE_FUNC, ("Processing user %s\n", user_name));
+    DEBUG(SSSDBG_TRACE_FUNC, "Processing user %s\n", user_name);
 
     if (opts->schema_type == SDAP_SCHEMA_AD) {
         ret = sysdb_attrs_get_string(attrs,
@@ -199,17 +199,17 @@ int sdap_save_user(TALLOC_CTX *memctx,
     if (ret == EOK) {
         ret = sysdb_attrs_add_string(user_attrs, SYSDB_SID_STR, sid_str);
         if (ret != EOK) {
-            DEBUG(SSSDBG_MINOR_FAILURE, ("Could not add SID string: [%s]\n",
-                                         strerror(ret)));
+            DEBUG(SSSDBG_MINOR_FAILURE, "Could not add SID string: [%s]\n",
+                                         strerror(ret));
             goto done;
         }
     } else if (ret == ENOENT) {
-        DEBUG(SSSDBG_TRACE_ALL, ("objectSID: not available for group [%s].\n",
-                                 user_name));
+        DEBUG(SSSDBG_TRACE_ALL, "objectSID: not available for group [%s].\n",
+                                 user_name);
         sid_str = NULL;
     } else {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Could not identify objectSID: [%s]\n",
-                                     strerror(ret)));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Could not identify objectSID: [%s]\n",
+                                     strerror(ret));
         sid_str = NULL;
     }
 
@@ -221,19 +221,19 @@ int sdap_save_user(TALLOC_CTX *memctx,
     if (use_id_mapping) {
 
         if (sid_str == NULL) {
-            DEBUG(SSSDBG_MINOR_FAILURE, ("SID not available, cannot map a " \
-                                         "unix ID to user [%s].\n", user_name));
+            DEBUG(SSSDBG_MINOR_FAILURE, "SID not available, cannot map a " \
+                                         "unix ID to user [%s].\n", user_name);
             ret = ENOENT;
             goto done;
         }
 
         DEBUG(SSSDBG_TRACE_LIBS,
-              ("Mapping user [%s] objectSID [%s] to unix ID\n", user_name, sid_str));
+              "Mapping user [%s] objectSID [%s] to unix ID\n", user_name, sid_str);
 
         /* Convert the SID into a UNIX user ID */
         ret = sdap_idmap_sid_to_unix(opts->idmap_ctx, sid_str, &uid);
         if (ret == ENOTSUP) {
-            DEBUG(SSSDBG_TRACE_FUNC, ("Skipping built-in object.\n"));
+            DEBUG(SSSDBG_TRACE_FUNC, "Skipping built-in object.\n");
             ret = EOK;
             goto done;
         } else if (ret != EOK) {
@@ -245,7 +245,7 @@ int sdap_save_user(TALLOC_CTX *memctx,
          */
         ret = sdap_replace_id(attrs, SYSDB_UIDNUM, uid);
         if (ret) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Cannot set the id-mapped UID\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "Cannot set the id-mapped UID\n");
             goto done;
         }
     } else {
@@ -254,16 +254,16 @@ int sdap_save_user(TALLOC_CTX *memctx,
                                        &uid);
         if (ret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("no uid provided for [%s] in domain [%s].\n",
-                   user_name, dom->name));
+                  "no uid provided for [%s] in domain [%s].\n",
+                   user_name, dom->name);
             ret = EINVAL;
             goto done;
         }
     }
     /* check that the uid is valid for this domain */
     if (OUT_OF_ID_RANGE(uid, dom->id_min, dom->id_max)) {
-            DEBUG(2, ("User [%s] filtered out! (uid out of range)\n",
-                      user_name));
+            DEBUG(2, "User [%s] filtered out! (uid out of range)\n",
+                      user_name);
         ret = EINVAL;
         goto done;
     }
@@ -273,8 +273,8 @@ int sdap_save_user(TALLOC_CTX *memctx,
                                          &gid);
         if (ret) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Cannot get the GID for [%s] in domain [%s].\n",
-                   user_name, dom->name));
+                  "Cannot get the GID for [%s] in domain [%s].\n",
+                   user_name, dom->name);
             goto done;
         }
 
@@ -289,7 +289,7 @@ int sdap_save_user(TALLOC_CTX *memctx,
             ret = sysdb_attrs_add_uint32(user_attrs, SYSDB_PRIMARY_GROUP_GIDNUM,
                                          (uint32_t) gid);
             if (ret != EOK) {
-                DEBUG(SSSDBG_OP_FAILURE, ("sysdb_attrs_add_uint32 failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "sysdb_attrs_add_uint32 failed.\n");
                 goto done;
             }
 
@@ -307,8 +307,8 @@ int sdap_save_user(TALLOC_CTX *memctx,
                                        &gid);
         if (ret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("no gid provided for [%s] in domain [%s].\n",
-                  user_name, dom->name));
+                  "no gid provided for [%s] in domain [%s].\n",
+                  user_name, dom->name);
             ret = EINVAL;
             goto done;
         }
@@ -318,8 +318,8 @@ int sdap_save_user(TALLOC_CTX *memctx,
     if (IS_SUBDOMAIN(dom) == false &&
             OUT_OF_ID_RANGE(gid, dom->id_min, dom->id_max)) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("User [%s] filtered out! (primary gid out of range)\n",
-               user_name));
+              "User [%s] filtered out! (primary gid out of range)\n",
+               user_name);
         ret = EINVAL;
         goto done;
     }
@@ -330,11 +330,11 @@ int sdap_save_user(TALLOC_CTX *memctx,
     }
     if (!el || el->num_values == 0) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("originalDN is not available for [%s].\n", user_name));
+              "originalDN is not available for [%s].\n", user_name);
     } else {
         orig_dn = (const char *) el->values[0].data;
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("Adding originalDN [%s] to attributes "
-                "of [%s].\n", orig_dn, user_name));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "Adding originalDN [%s] to attributes "
+                "of [%s].\n", orig_dn, user_name);
 
         ret = sysdb_attrs_add_string(user_attrs, SYSDB_ORIG_DN, orig_dn);
         if (ret) {
@@ -348,10 +348,10 @@ int sdap_save_user(TALLOC_CTX *memctx,
     }
     if (el->num_values == 0) {
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("Original memberOf is not available for [%s].\n", user_name));
+              "Original memberOf is not available for [%s].\n", user_name);
     } else {
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("Adding original memberOf attributes to [%s].\n", user_name));
+              "Adding original memberOf attributes to [%s].\n", user_name);
         for (i = 0; i < el->num_values; i++) {
             ret = sysdb_attrs_add_string(user_attrs, SYSDB_ORIG_MEMBEROF,
                     (const char *) el->values[i].data);
@@ -376,7 +376,7 @@ int sdap_save_user(TALLOC_CTX *memctx,
     }
     if (el->num_values == 0) {
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("Original USN value is not available for [%s].\n", user_name));
+              "Original USN value is not available for [%s].\n", user_name);
     } else {
         ret = sysdb_attrs_add_string(user_attrs,
                           opts->user_map[SDAP_AT_USER_USN].sys_name,
@@ -398,7 +398,7 @@ int sdap_save_user(TALLOC_CTX *memctx,
     }
     if (el->num_values == 0) {
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("User principal is not available for [%s].\n", user_name));
+              "User principal is not available for [%s].\n", user_name);
     } else {
         upn = talloc_strdup(user_attrs, (const char*) el->values[0].data);
         if (!upn) {
@@ -409,8 +409,8 @@ int sdap_save_user(TALLOC_CTX *memctx,
             make_realm_upper_case(upn);
         }
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("Adding user principal [%s] to attributes of [%s].\n",
-               upn, user_name));
+              "Adding user principal [%s] to attributes of [%s].\n",
+               upn, user_name);
         ret = sysdb_attrs_add_string(user_attrs, SYSDB_UPN, upn);
         if (ret) {
             goto done;
@@ -438,7 +438,7 @@ int sdap_save_user(TALLOC_CTX *memctx,
 
     ret = sdap_save_all_names(user_name, attrs, dom, user_attrs);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to save user names\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to save user names\n");
         goto done;
     }
 
@@ -451,7 +451,7 @@ int sdap_save_user(TALLOC_CTX *memctx,
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Storing info for user %s\n", user_name));
+    DEBUG(SSSDBG_TRACE_FUNC, "Storing info for user %s\n", user_name);
 
     ret = sysdb_store_user(ctx, dom, user_name, pwd, uid, gid,
                            gecos, homedir, shell, orig_dn,
@@ -468,8 +468,8 @@ int sdap_save_user(TALLOC_CTX *memctx,
 done:
     if (ret) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Failed to save user [%s]\n",
-               user_name ? user_name : "Unknown"));
+              "Failed to save user [%s]\n",
+               user_name ? user_name : "Unknown");
     }
     talloc_free(tmpctx);
     return ret;
@@ -507,7 +507,7 @@ int sdap_save_users(TALLOC_CTX *memctx,
 
     ret = sysdb_transaction_start(sysdb);
     if (ret) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to start transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to start transaction\n");
         goto done;
     }
     in_transaction = true;
@@ -523,9 +523,9 @@ int sdap_save_users(TALLOC_CTX *memctx,
         /* Do not fail completely on errors.
          * Just report the failure to save and go on */
         if (ret) {
-            DEBUG(2, ("Failed to store user %d. Ignoring.\n", i));
+            DEBUG(2, "Failed to store user %d. Ignoring.\n", i);
         } else {
-            DEBUG(9, ("User %d processed!\n", i));
+            DEBUG(9, "User %d processed!\n", i);
         }
 
         if (usn_value) {
@@ -545,7 +545,7 @@ int sdap_save_users(TALLOC_CTX *memctx,
 
     ret = sysdb_transaction_commit(sysdb);
     if (ret) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to commit transaction!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to commit transaction!\n");
         goto done;
     }
     in_transaction = false;
@@ -558,7 +558,7 @@ done:
     if (in_transaction) {
         sret = sysdb_transaction_cancel(sysdb);
         if (sret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to cancel transaction\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Failed to cancel transaction\n");
         }
     }
     talloc_zfree(tmpctx);
@@ -627,7 +627,7 @@ struct tevent_req *sdap_get_users_send(TALLOC_CTX *memctx,
 
     if (!state->search_bases) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("User lookup request without a search base\n"));
+              "User lookup request without a search base\n");
         ret = EINVAL;
         goto done;
     }
@@ -659,8 +659,8 @@ static errno_t sdap_get_users_next_base(struct tevent_req *req)
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Searching for users with base [%s]\n",
-           state->search_bases[state->base_iter]->basedn));
+          "Searching for users with base [%s]\n",
+           state->search_bases[state->base_iter]->basedn);
 
     subreq = sdap_get_generic_send(
             state, state->ev, state->opts, state->sh,
@@ -698,7 +698,7 @@ static void sdap_get_users_process(struct tevent_req *subreq)
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Search for users, returned %zu results.\n", count));
+          "Search for users, returned %zu results.\n", count);
 
     if (state->enumeration || count == 0) {
         /* No users found in this search or enumerating */
@@ -754,12 +754,12 @@ static void sdap_get_users_process(struct tevent_req *subreq)
                           state->users, state->count,
                           &state->higher_usn);
     if (ret) {
-        DEBUG(2, ("Failed to store users.\n"));
+        DEBUG(2, "Failed to store users.\n");
         tevent_req_error(req, ret);
         return;
     }
 
-    DEBUG(SSSDBG_TRACE_ALL, ("Saving %zu Users - Done\n", state->count));
+    DEBUG(SSSDBG_TRACE_ALL, "Saving %zu Users - Done\n", state->count);
 
     tevent_req_done(req);
 }
diff --git a/src/providers/ldap/sdap_autofs.c b/src/providers/ldap/sdap_autofs.c
index e7947c9..aa4b35f 100644
--- a/src/providers/ldap/sdap_autofs.c
+++ b/src/providers/ldap/sdap_autofs.c
@@ -54,7 +54,7 @@ int sdap_autofs_init(struct be_ctx *be_ctx,
 {
     int ret;
 
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("Initializing autofs LDAP back end\n"));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "Initializing autofs LDAP back end\n");
 
     *ops = &sdap_autofs_ops;
     *pvt_data = id_ctx;
@@ -84,7 +84,7 @@ void sdap_autofs_handler(struct be_req *be_req)
     struct tevent_req *req;
     int ret = EOK;
 
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("sdap autofs handler called\n"));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "sdap autofs handler called\n");
 
     id_ctx = talloc_get_type(be_ctx->bet_info[BET_AUTOFS].pvt_bet_data,
                              struct sdap_id_ctx);
@@ -95,15 +95,15 @@ void sdap_autofs_handler(struct be_req *be_req)
 
     autofs_req = talloc_get_type(be_req_get_data(be_req), struct be_autofs_req);
 
-    DEBUG(SSSDBG_FUNC_DATA, ("Requested refresh for: %s\n",
-          autofs_req->mapname ? autofs_req->mapname : "<ALL>\n"));
+    DEBUG(SSSDBG_FUNC_DATA, "Requested refresh for: %s\n",
+          autofs_req->mapname ? autofs_req->mapname : "<ALL>\n");
 
     if (autofs_req->invalidate) {
         ret = sysdb_invalidate_autofs_maps(id_ctx->be->domain->sysdb,
                                            id_ctx->be->domain);
         if (ret != EOK) {
-            DEBUG(SSSDBG_MINOR_FAILURE, ("Could not invalidate autofs maps, "
-                  "backend might return stale entries\n"));
+            DEBUG(SSSDBG_MINOR_FAILURE, "Could not invalidate autofs maps, "
+                  "backend might return stale entries\n");
         }
     }
 
@@ -156,7 +156,7 @@ sdap_autofs_get_map_send(TALLOC_CTX *mem_ctx,
 
     state->op = sdap_id_op_create(state, state->ctx->conn->conn_cache);
     if (!state->op) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_id_op_create failed\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_create failed\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -219,7 +219,7 @@ sdap_autofs_get_map_connect_done(struct tevent_req *subreq)
                                             state->map_name);
     if (!subreq) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("sdap_autofs_setautomntent_send failed\n"));
+              "sdap_autofs_setautomntent_send failed\n");
         tevent_req_error(req, ENOMEM);
         return;
     }
@@ -262,8 +262,8 @@ sdap_autofs_get_map_done(struct tevent_req *subreq)
                                      state->ctx->be->domain, state->map_name);
         if (ret != EOK && ret != ENOENT) {
             DEBUG(SSSDBG_OP_FAILURE,
-                ("Cannot delete autofs map %s [%d]: %s\n",
-                 state->map_name, ret, strerror(ret)));
+                "Cannot delete autofs map %s [%d]: %s\n",
+                 state->map_name, ret, strerror(ret));
             tevent_req_error(req, ret);
             return;
         }
